% ========= ACRONYMS =========
\usepackage[printonlyused,withpage]{acronym}
\newcommand{\listofabbreviations}{
  \begin{acronym}[TFIDF]
    \acro{cf}[CF]{Collaborative Filtering}
    \acro{cbf}[CBF]{Content-based Filtering}
    \acro{lda}[LDA]{Latent Dirichlet Allocation}
    \acro{lsa}[LSA]{Latent Semantic Analysis}
    \acro{lstm}[LSTM]{Long-Short Term Memory}
    \acro{ml}[ML]{Machine Learning}
    \acro{nlp}[NLP]{Natural Language Processing}
    \acro{pos}[POS]{Part-of-Speech}
    \acro{rnn}[RNN]{Recurrent Neural Network}
    \acro{tfidf}[TFIDF]{Term Frequency-Inverse Document Frequency}
    \acro{qna}[Q\&A]{question- and answer}
    \acro{lsi}[LSI]{Latent Semantic Indexing}
    \acro{hdp}[HDP]{Hierarchical Dirichlet Process}
    \acro{rs}[RS]{Recommender System}
    \acro{ir}[IR]{Information Retrieval}
    \acro{irs}[IRS]{Information Retrieval System}
    \acro{tp}[TP]{true positive}
    \acro{tn}[TN]{true negative}
    \acro{fp}[FP]{false positive}
    \acro{fn}[FN]{false negative}
    \acro{svd}[SVD]{Singular Value Decomposition}
    \acro{orm}[ORM]{Object Relational Mapper}
    \acro{sql}[SQL]{Structured Query Language}
    \acro{html}[HTML]{Hypertext Markup Language}
    \acro{ann}[ANN]{Artificial Neural Network}
    \acro{dnn}[DNN]{Deep Neural Network}
    \acro{cbow}[CBOW]{Continuous Bag-of-Words}
    \acro{dbow}[DBOW]{Distributed Bag-of-Words}
    \acro{pvdm}[PV-DM]{Paragraph Vector Distributed Memory}
    \acro{kpi}[KPI]{Key Performance Indicator}
    \acro{mae}[MAE]{Mean Absolute Error}
    \acro{fwls}[FWLS]{Feature-Weighted Linear Stacking}
%    \acro{mdp}[MDP]{Markov Decision Process}
%    \acroplural{mdp}[MDPs]{Markov Decision Processes}
  \end{acronym}
}